Ekyna\Component\Payum\Payzen\Action\Api\AbstractApiAction Class Reference
Inheritance diagram for Ekyna\Component\Payum\Payzen\Action\Api\AbstractApiAction:

## Public Member Functions

| setApi ($api)
| setLogger (LoggerInterface $logger)

## Protected Member Functions

| log ($message)
| logData ($message, array $data, array $filterKeys=[])

## Protected Attributes

| $api

## Member Function Documentation

## log()

Ekyna\Component\Payum\Payzen\Action\Api\AbstractApiAction::log | ( |  | $message | ) |

protected

Logs the given message.

Parameters

  string | $message |

## logData()

Ekyna\Component\Payum\Payzen\Action\Api\AbstractApiAction::logData | ( |  | $message,
|  | array | $data,
|  | array | $filterKeys = `[]`
| ) |  |

protected

Logs the given message and data.

Parameters

  string | $message |
  array | $data |
  array | $filterKeys |

## setApi()

Ekyna\Component\Payum\Payzen\Action\Api\AbstractApiAction::setApi | ( |  | $api | ) |

@inheritDoc

## setLogger()

Ekyna\Component\Payum\Payzen\Action\Api\AbstractApiAction::setLogger | ( | LoggerInterface | $logger | ) |

The documentation for this class was generated from the following file:

- lib/ekyna/payum-payzen/Action/Api/AbstractApiAction.php